<?php

/*************
 * Layout Panel
 *************/

Flatsome_Option::add_section( 'layout', array(
	'title'       => __( 'طرح', 'flatsome-admin' ),
	//'description' => __( 'Change the Layout', 'flatsome-admin' ),
) );

Flatsome_Option::add_field( 'option', array(
	'type'        => 'radio-buttonset',
	'settings'     => 'body_layout',
	'label'       => __( 'حالت طرح', 'flatsome-admin' ),
	'description' => __( 'طرح کامل ، جعبه یا قاب را انتخاب کنید', 'flatsome-admin' ),
	'section'     => 'layout',
	'default'     => 'full-width',
	'transport' => 'postMessage',
	'choices'     => array(
		'full-width' => __( 'تمام صفحه', 'flatsome-admin' ),
		'boxed' => __( 'جعبه', 'flatsome-admin' ),
		'framed' => __( 'قاب', 'flatsome-admin' ),
	),
));


Flatsome_Option::add_field( 'option',  array(
	'type'        => 'checkbox',
	'settings'     => 'box_shadow',
	'label'       => __( 'سایه را به کادر محتوا اضافه کنید', 'flatsome-admin' ),
	'section'     => 'layout',
	'transport' => 'postMessage',
	'default'     => 0,
));

Flatsome_Option::add_field( 'option', array(
	'type'        => 'text',
	'settings'    => 'site_width',
	'label'       => __( 'عرض محتوای سایت (px)', 'flatsome-admin' ),
	'description' => __( 'عرض پیش فرض ظروف محتوا را تنظیم کنید. (هدر ، ردیف ها و غیره)', 'flatsome-admin' ),
	'tooltip'     => __( 'Use a numeric value without the px unit suffix.', 'flatsome-admin' ),
	'section'     => 'layout',
	'transport'   => 'postMessage',
) );

Flatsome_Option::add_field( 'option', array(
	'type'        => 'text',
	'settings'    => 'site_width_boxed',
	'label'       => __( 'عرض جعبه/ قاب سایت (px)', 'flatsome-admin' ),
	'tooltip'     => __( 'Use a numeric value without the px unit suffix.', 'flatsome-admin' ),
	'section'     => 'layout',
	'transport'   => 'postMessage',
) );

Flatsome_Option::add_field( 'option',  array(
    'type'        => 'color',
    'settings'     => 'body_bg',
    'label'       => __( 'رنگ پس زمینه', 'flatsome-admin' ),
    'section'     => 'layout',
	'default'     => "",
	'transport' => 'postMessage',
));


Flatsome_Option::add_field( 'option',  array(
    'type'        => 'image',
    'settings'     => 'body_bg_image',
    'label'       => __( 'تصویر پس زمینه', 'flatsome-admin' ),
    'section'     => 'layout',
	'default'     => "",
	'transport' => 'postMessage',
));


Flatsome_Option::add_field( 'option', array(
	'type'        => 'radio-buttonset',
	'settings'     => 'body_bg_type',
	'label'       => __( 'تکرار زمینه', 'flatsome-admin' ),
	'section'     => 'layout',
	'default'     => 'bg-full-size',
	'transport' => 'postMessage',
	'choices'     => array(
		'bg-full-size' => __( 'اندازه کامل', 'flatsome-admin' ),
		'bg-tiled' => __( 'کاشی', 'flatsome-admin' ),
	),
));


Flatsome_Option::add_field( 'option', array(
	'type'        => 'radio-image',
	'settings'     => 'content_color',
	'label'       => __( 'رنگ محتوا', 'flatsome-admin' ),
	'description' => __( 'Light or Dark content text color', 'flatsome-admin' ),
	'section'     => 'layout',
	'default'     => 'light',
	'transport' => 'postMessage',
	'choices'     => array(
		'light' => $image_url . 'text-dark.svg',
		'dark' => $image_url . 'text-light.svg'
	),
));


Flatsome_Option::add_field( 'option',  array(
    'type'        => 'color',
    'settings'     => 'content_bg',
    'label'       => __( 'پس زمینه محتوا', 'flatsome-admin' ),
    'section'     => 'layout',
	'default'     => "",
	'transport' => 'postMessage',
));
